Subject: Re: bug#64619: [PATCH] Add toggle-window-dedicated command

From: martin rudalics <[email-masked]>
Date: Sat, 15 Jul 2023 09:53:47 +0200

>> * lisp/window.el (toggle-window-dedicated): Add.
 >> (window-prefix-map): Add C-x w d binding.
 >
 > Adding Martin.  Martin, any comments?

It should hardly harm anyone.  But what would be a typical scenario for
using it?  C-x b has 'switch-to-buffer-in-dedicated-window', C-x <left>
and friends probably should do the same.  Usually a window is marked as
dedicated to avoid that 'display-buffer' uses it.  In which case it
would likely be better to not mark the window as dedicated in the first
place - e.g. via a (dedicated . nil) entry in `display-buffer-alist'.

martin